メインコンテンツへスキップ
POST
/
api
/
v1
/
organizations
/
{organizationId}
/
devices
/
{deviceId}
/
histories
Create history entry of a device of an organization
curl --request POST \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/{deviceId}/histories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "createdAt": "2021-01-01T00:00:00.000Z",
  "changes": {
    "status": "active",
    "peopleId": 1,
    "location1": "location1",
    "location2": "location2",
    "assignmentStartDate": "2021-01-01",
    "assignmentEndDate": "2021-01-02"
  },
  "comment": "Status change reason"
}
'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/{deviceId}/histories"

payload = {
"createdAt": "2021-01-01T00:00:00.000Z",
"changes": {
"status": "active",
"peopleId": 1,
"location1": "location1",
"location2": "location2",
"assignmentStartDate": "2021-01-01",
"assignmentEndDate": "2021-01-02"
},
"comment": "Status change reason"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
createdAt: '2021-01-01T00:00:00.000Z',
changes: {
status: 'active',
peopleId: 1,
location1: 'location1',
location2: 'location2',
assignmentStartDate: '2021-01-01',
assignmentEndDate: '2021-01-02'
},
comment: 'Status change reason'
})
};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/{deviceId}/histories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "deviceId": 321,
  "createdAt": "2017-07-21T17:32:28Z",
  "changes": {
    "people": {
      "id": 1,
      "identityId": "I3N5HB4B3G",
      "primaryEmail": "foo@gmail.com",
      "displayName": "Yamaha Honda",
      "avatar": "avatar_url",
      "username": "foo",
      "type": "employee",
      "status": "suspended",
      "managementType": "managed",
      "employeeType": "full_time_employee",
      "employeeStatus": "active",
      "suspendedAt": "2021-07-13T19:15:40.000Z",
      "createdAt": "2021-07-13T19:15:40.000Z",
      "accounts": [
        {
          "id": "1#foo",
          "serviceId": 42,
          "serviceUniqueName": "github",
          "serviceName": "GitHub",
          "workspaceName": "mfi",
          "accountKey": "foo@mfi.com",
          "serviceIsCustom": false
        }
      ],
      "mergedPeople": [
        {
          "id": 1,
          "displayName": "Ron Lee",
          "username": "ron.lee",
          "primaryEmail": null
        }
      ]
    },
    "status": "decommissioned",
    "location1": "Tokyo",
    "location2": "msb",
    "assignmentStartDate": "2021-01-01",
    "assignmentEndDate": "2022-01-02",
    "comment": "Assigned to new employee"
  },
  "comment": "Assigned to new employee"
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須
deviceId
number
必須

ボディ

application/json
createdAt
string<date-time>
必須
:

"2021-01-01T00:00:00.000Z"

changes
object
必須
comment
string | null
:

"Status change reason"

レスポンス

id
number
必須
:

123

deviceId
number
必須
:

321

createdAt
string<date-time>
必須
:

"2017-07-21T17:32:28Z"

changes
object
必須
comment
string | null
必須
:

"Assigned to new employee"

最終更新日 2026年7月14日